import type { LoadeerElement, LoadeerInput, LoadeerOptions } from './types';
export type { LoadeerElement, LoadeerInput, LoadeerOptions };
/**
 * Tiny, performant, SEO-friendly lazy loading library
 */
export default class Loadeer<T extends LoadeerElement> {
    protected readonly selector: LoadeerInput<T>;
    protected readonly options: LoadeerOptions;
    observer?: IntersectionObserver;
    constructor(selector?: LoadeerInput<T>, options?: LoadeerOptions);
    observe(): void;
    /**
     * Load an element before it gets visible in the viewport
     */
    triggerLoad(element: T): void;
}
